import type { FormProps, Props as FormItemProps, Emits } from '../type';
export declare const useForm: (formItemProps: FormItemProps, emit: Emits, isShow: any) => {
    innerValue: import("vue").Ref<any, any>;
    selectModelValue: import("vue").Ref<any, any>;
    errored: import("vue").ComputedRef<boolean>;
    erroredMode: import("vue").ComputedRef<"default" | "overlay" | undefined>;
    innerError: import("vue").Ref<any, any>;
    labelWidth: string;
    formLabelMarginRight: import("vue").ComputedRef<string | undefined>;
    contentWidth: string;
    flexConfig: import("vue").Ref<string | number, string | number>;
    marginRight: import("vue").ComputedRef<string>;
    marginBottom: import("vue").ComputedRef<string>;
    formProps: FormProps;
    className: unknown;
    inputHandler: (val: any) => void;
    changeHandler: (val: any, val2?: any) => void;
    selectChangeHandler: (val: any) => void;
};
